HomeGuidesAPI ReferenceChangelog
Log In
API Reference

Delete Account with {providerAccountId}

Delete an account using your providerAccountId. The account record remains available for historical reference, and its status changes to DELETED.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Delete an account using your providerAccountId.

Use this endpoint when you identify accounts with your own IDs. To delete an account using the Arcadia-generated account identifier, use Delete Account with accountId.

Deleting an account does not remove the account record from the API. The account remains available for historical reference, but its status changes to DELETED.

Resource URI

DELETE /rest/v1/accounts/pid/{providerAccountId}

Path parameters

ParameterTypeDescription
providerAccountIdstringYour unique identifier for the Account object. Required.

For the full account data model, account workflow, and detailed examples, see Accounts API.

Example

DELETE /rest/v1/accounts/pid/api-eg-01

A successful response returns a standard response payload indicating that the account status changed to DELETED.

{
  "status": "success",
  "count": 1,
  "type": "Account",
  "results": [
    {
      "providerAccountId": "api-eg-01",
      "status": "DELETED"
    }
  ]
}
Path Params
string
required

This is your unique identifier chosen to represent the Account object.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json